Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class Skin

- Defined in: Skin.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Skin(prototype, name)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| created
| creator
| layout
| modified
| modifier
| prototype
| source

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| content_macro()
| equals(source)
<static> | Skin.getByName(group, name)
| getConfirmText()
| getFormOptions(name)
| getMainSkin(prototype)
| getPermission(action)
<static> | Skin.getPrototypeOptions()
| getSource()
| getStaticFile()
| getSubskin(prototype, name)
| href(action)
<static> | Skin.remove(skin)
| render()
| setSource(source)
| status_macro()
| toString()
| update(data)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  touch
  type_macro
  upload_macro

## Class Detail

Skin(prototype, name)

Parameters:
{String} prototype
{String} name

## Field Detail

{Date} created
{User} creator
{Layout} layout
{Date} modified
{User} modifier
{String} prototype
{String} source

## Method Detail

- content_macro()
- {Boolean} equals(source)
  Parameters:
  {String} source
  Returns:
    {Boolean}
- <static> {Skin} Skin.getByName(group, name)
  Parameters:
  {String} group
  {String} name
  Returns:
    {Skin}
- {String} getConfirmText()
  Returns:
    {String}
- {Object} getFormOptions(name)
  Parameters:
  {String} name
  Returns:
    {Object}
- {Skin} getMainSkin(prototype)
  Parameters:
  {String} prototype
  Returns:
    {Skin}
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- <static> {String[]} Skin.getPrototypeOptions()
  Returns:
    {String[]}
- {String} getSource()
  Returns:
    {String}
- {java.io.File} getStaticFile()
  Returns:
    {java.io.File}
- {Skin} getSubskin(prototype, name)
  Parameters:
  prototype
  name
  Returns:
    {Skin}
- {String} href(action)
  Parameters:
  {String} action
  Returns:
    {String}
- <static> Skin.remove(skin)
  Parameters:
  {Skin} skin
- render()
- setSource(source)
  Parameters:
  {String} source
- status_macro()
- {String} toString()
  Returns:
    {String}
- update(data)
  Parameters:
  {Object} data